Package org.jcsp.net

# Class ApplicationID

java.lang.Object
org.jcsp.net.AbstractID
org.jcsp.net.ApplicationID

All Implemented Interfaces:
  `Serializable`

public class ApplicationID extends AbstractID implements Serializable

A Class whose instances represent a unique identifier for a JCSP.NET application. An application is defined as being a process network that forms a complete program. Applications have a parent Node which is the Node on which the application was started.

For a full explanation, see ``AbstractID``.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares the supplied `Object` with this `ApplicationID`.
`AbstractID`
`getParentID()`
Returns the parent `NodeID` of this object.
`int`
`hashCode()`
Returns a hash code for this Object.
`String`
`toString()`
Returns a `String` representation of this object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()

Returns a `String` representation of this object. The current implemenation returns a human readable `String` which shows the application's home `NodeID` and the integer application id.

Overrides:
  `toString` in class `Object`
Returns:
  the `String` representing this Application ID.

### equals

public boolean equals(Object o)

Compares the supplied `Object` with this `ApplicationID`.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - another `Object` to compare with this `ApplicationID`.
Returns:
  `true` iff the parameter o is an `ApplicationID` that represents the same application as this object.

### hashCode

public int hashCode()

Returns a hash code for this Object. Two equal `ApplicationID` objects return the same hash code.

Overrides:
  `hashCode` in class `Object`
Returns:
  an `int` hash code.

### getParentID

public AbstractID getParentID()
Returns the parent `NodeID` of this object.

Specified by:
  `getParentID` in class `AbstractID`
Returns:
  the parent `NodeID`.